Private Link Resources - List Supported
取得指定服務所有支援的私人鏈接資源類型清單。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/privateLinkResources?api-version=2025-05-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
search
|
path | True |
string pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$ |
與指定資源群組相關聯的 Azure AI 搜尋服務名稱。 |
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
用戶端產生的 GUID 值,可識別此要求。 如果指定,則會以追蹤要求的方式包含在響應資訊中。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 作業已順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
ListSupportedPrivateLinkResources
範例要求
範例回覆
{
"value": [
{
"name": "searchService",
"type": "Microsoft.Search/searchServices/privateLinkResources",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateLinkResources/searchService",
"properties": {
"groupId": "searchService",
"requiredMembers": [
"searchService"
],
"requiredZoneNames": [
"privatelink.search.windows.net"
],
"shareablePrivateLinkResourceTypes": [
{
"name": "blob",
"properties": {
"type": "Microsoft.Storage/storageAccounts",
"description": "Azure AI Search indexers can connect to blobs in Azure Storage for reading data from an indexer data source, for writing intermediate results of indexer execution or for storing any knowledge store projections.",
"groupId": "blob"
}
},
{
"name": "table",
"properties": {
"type": "Microsoft.Storage/storageAccounts",
"description": "Azure AI Search indexers can connect to tables in Azure Storage for reading data from an indexer data source, for writing intermediate results of indexer execution or for storing any knowledge store projections.",
"groupId": "table"
}
},
{
"name": "Sql",
"properties": {
"type": "Microsoft.DocumentDB/databaseAccounts",
"description": "Azure AI Search indexers can connect to Azure Cosmos DB API for NoSQL for reading data from an indexer data source.",
"groupId": "Sql"
}
},
{
"name": "plr",
"properties": {
"type": "Microsoft.Sql/servers",
"description": "Azure AI Search indexers can connect to Azure SQL database on a server for reading data from an indexer data source.",
"groupId": "sqlServer"
}
},
{
"name": "vault",
"properties": {
"type": "Microsoft.KeyVault/vaults",
"description": "Azure AI Search can access keys in Azure Key Vault to encrypt sensitive data in a search index and synonym map data.",
"groupId": "vault"
}
},
{
"name": "plr",
"properties": {
"type": "Microsoft.DBforMySQL/servers",
"description": "Azure AI Search indexers can connect to MySQL databases for reading data from an indexer data source.",
"groupId": "mysqlServer"
}
},
{
"name": "site",
"properties": {
"type": "Microsoft.Web/sites",
"description": "For custom skills that connect to an app service, you can specify sites as the group ID.",
"groupId": "sites"
}
}
]
}
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Cloud |
包含 API 錯誤的相關信息。 |
|
Cloud |
描述具有錯誤碼和訊息的特定 API 錯誤。 |
|
created |
建立資源的身分識別類型。 |
|
Private |
描述 Azure AI 搜尋服務支援的私人鏈接資源。 |
|
Private |
描述 Azure AI 搜尋服務所支援私人鏈接資源的屬性。 針對指定的 API 版本,這會代表建立共用私人鏈接資源時的「支援」groupId。 |
|
Private |
包含支援的 Private Link 資源清單的回應。 |
|
Shareable |
描述已上線至私人連結服務的資源類型屬性,由 Azure AI 搜尋服務支援。 |
|
Shareable |
描述已上線至 Azure AI 搜尋所支援之私人連結服務的資源類型。 |
|
system |
與建立和上次修改資源相關的元數據。 |
CloudError
包含 API 錯誤的相關信息。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
描述具有錯誤碼和訊息的特定 API 錯誤。 |
|
| message |
string |
錯誤簡短描述,其中提示發生錯誤的原因(如需詳細數據/偵錯資訊,請參閱 'error.message' 屬性。 |
CloudErrorBody
描述具有錯誤碼和訊息的特定 API 錯誤。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
比 HTTP 狀態代碼更精確地描述錯誤條件的錯誤碼。 可用來以程式設計方式處理特定錯誤案例。 |
| details |
包含與此錯誤相關的巢狀錯誤。 |
|
| message |
string |
描述錯誤的詳細訊息,並提供偵錯資訊。 |
| target |
string |
特定錯誤的目標(例如,錯誤中的屬性名稱)。 |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
PrivateLinkResource
描述 Azure AI 搜尋服務支援的私人鏈接資源。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string (arm-id) |
資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
資源的名稱 |
| properties |
描述 Azure AI 搜尋服務所支援私人鏈接資源的屬性。 |
|
| systemData |
包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。 |
|
| type |
string |
資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts” |
PrivateLinkResourceProperties
描述 Azure AI 搜尋服務所支援私人鏈接資源的屬性。 針對指定的 API 版本,這會代表建立共用私人鏈接資源時的「支援」groupId。
| 名稱 | 類型 | Description |
|---|---|---|
| groupId |
string |
私人鏈接資源的群組標識碼。 |
| requiredMembers |
string[] |
私人鏈接資源的必要成員清單。 |
| requiredZoneNames |
string[] |
私人鏈接資源所需的 DNS 區域名稱清單。 |
| shareablePrivateLinkResourceTypes |
上線至私人連結服務的資源清單,Azure AI 搜尋所支援。 |
PrivateLinkResourcesResult
包含支援的 Private Link 資源清單的回應。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string |
如果有的話,這是下一批私有連結資源的網址。 |
| value |
支援的 Private Link 資源清單。 |
ShareablePrivateLinkResourceProperties
描述已上線至私人連結服務的資源類型屬性,由 Azure AI 搜尋服務支援。
| 名稱 | 類型 | Description |
|---|---|---|
| description |
string |
Azure AI 搜尋所支援已上線至私人連結服務的資源類型描述。 |
| groupId |
string |
Azure AI 搜尋所支援之資源的資源提供者群組標識碼,已上線至私人連結服務。 |
| type |
string |
已上線至私人連結服務的資源資源提供者類型,由 Azure AI 搜尋所支援。 |
ShareablePrivateLinkResourceType
描述已上線至 Azure AI 搜尋所支援之私人連結服務的資源類型。
| 名稱 | 類型 | Description |
|---|---|---|
| name |
string |
Azure AI 搜尋所支援已上線至私人連結服務的資源類型名稱。 |
| properties |
描述已上線至私人連結服務的資源類型屬性,由 Azure AI 搜尋服務支援。 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的資源時間戳 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |